Bug 1010266 - Failed to initialize the CommandContext.
Failed to initialize the CommandContext.
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
high Severity high
: ER7
: 6.0.0
Assigned To: Thomas Hauser
Pavol Srna
Depends On:
  Show dependency treegraph
Reported: 2013-09-20 08:10 EDT by Pavol Srna
Modified: 2014-02-06 10:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot (208.76 KB, image/png)
2013-09-20 08:13 EDT, Pavol Srna
no flags Details
jstack-maven (11.68 KB, text/plain)
2013-09-23 14:10 EDT, Pavol Srna
no flags Details
jstack-server (8.21 KB, text/plain)
2013-09-23 14:11 EDT, Pavol Srna
no flags Details
jstack-server2 (13.10 KB, text/plain)
2013-09-23 14:11 EDT, Pavol Srna
no flags Details

  None (edit)
Description Pavol Srna 2013-09-20 08:10:22 EDT
Description of problem:

Please see screenshot attached.

I've seen this behavior only when running the installer in the automated test suite. The exception is thrown only when the installer test is run repeatedly.
Comment 2 Pavol Srna 2013-09-20 08:13:08 EDT
Created attachment 800474 [details]
Comment 3 Thomas Hauser 2013-09-20 15:27:33 EDT
It would be good to have some stack traces from jstack or jconsole when this error is occuring, thanks
Comment 4 Pavol Srna 2013-09-23 14:10:48 EDT
Created attachment 801845 [details]
Comment 5 Pavol Srna 2013-09-23 14:11:14 EDT
Created attachment 801846 [details]
Comment 6 Pavol Srna 2013-09-23 14:11:40 EDT
Created attachment 801848 [details]
Comment 7 Pavol Srna 2013-10-02 08:26:03 EDT
Another exception stack trace:

org.jboss.as.cli.CliInitializationException: Failed to create an instance of class org.jboss.as.cli.impl.CommandContextFactoryImpl
	at org.jboss.as.cli.CommandContextFactory.getInstance(CommandContextFactory.java:46)
	at com.redhat.installer.postinstall.ServerCommands.<init>(ServerCommands.java:142)
	at com.redhat.installer.postinstall.ServerCommands.createSession(ServerCommands.java:214)
	at com.redhat.installer.postinstall.ServerShutdownHelper.shutdownServer(ServerShutdownHelper.java:87)
	at com.redhat.installer.postinstall.ServerShutdownHelper.shutdownServer(ServerShutdownHelper.java:72)
	at com.redhat.installer.postinstall.ServerShutdownHelper.run(ServerShutdownHelper.java:51)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at com.izforge.izpack.installer.ProcessPanelWorker$ExecutableClass.run(ProcessPanelWorker.java:765)
	at com.izforge.izpack.installer.ProcessPanelWorker$ProcessingJob.run(ProcessPanelWorker.java:516)
	at com.izforge.izpack.installer.ProcessPanelWorker.runJob(ProcessPanelWorker.java:462)
	at com.izforge.izpack.installer.ProcessPanelWorker.run(ProcessPanelWorker.java:401)
	at java.lang.Thread.run(Thread.java:724)
Caused by: java.lang.ClassCastException: org.jboss.as.cli.impl.CommandContextFactoryImpl cannot be cast to org.jboss.as.cli.CommandContextFactory
	at org.jboss.as.cli.CommandContextFactory.getInstance(CommandContextFactory.java:44)
	... 14 more
Comment 11 Thomas Hauser 2013-10-21 12:04:22 EDT
I cannot reproduce this issue on F18 with the latest installer.
Comment 12 Thomas Hauser 2013-11-13 12:10:49 EST
I believe this issue to be resolved.
Comment 13 Pavol Srna 2013-12-12 08:39:18 EST
Verified in ER7.

Note You need to log in before you can comment on or make changes to this bug.